
PROGS := sequential threaded

all: $(PROGS)

%: %.cc
	$(CXX) -o $@ -pthread -O3 $<

.PHONY: test
test: all
	./sequential e1.*
	./threaded e1.*
	./sequential e2.*
	./threaded e2.*

clean:
	-rm -f $(PROGS) *~ *.o
